@echo off

REM バッチファイルのディレクトリに移動する
pushd "%~dp0"

set "sourceFilePage=.\files\AI_HMI_Page.zip"
set "sourceFileProj=.\files\AI_HMI_Project.zip"


REM VisualStudio2013用
set "destinationVS2013Page=%UserProfile%\Documents\Visual Studio 2013\Templates\ItemTemplates"
set "destinationVS2013Proj=%UserProfile%\Documents\Visual Studio 2013\Templates\ProjectTemplates"

REM フォルダが存在しない場合は作成する
if not exist "%destinationVS2013Page%" (
    mkdir "%destinationVS2013Page%"
)
if not exist "%destinationVS2013Proj%" (
    mkdir "%destinationVS2013Proj%"
)

REM ファイルコピー
copy "%sourceFilePage%" "%destinationVS2013Page%\"
copy "%sourceFileProj%" "%destinationVS2013Proj%\"



REM VisualStudio2015用
set "destinationVS2015Page=%UserProfile%\Documents\Visual Studio 2015\Templates\ItemTemplates"
set "destinationVS2015Proj=%UserProfile%\Documents\Visual Studio 2015\Templates\ProjectTemplates"

REM フォルダが存在しない場合は作成する
if not exist "%destinationVS2015Page%" (
    mkdir "%destinationVS2015Page%"
)
if not exist "%destinationVS2015Proj%" (
    mkdir "%destinationVS2015Proj%"
)

REM ファイルコピー
copy "%sourceFilePage%" "%destinationVS2015Page%\"
copy "%sourceFileProj%" "%destinationVS2015Proj%\"



REM VisualStudio2017用
set "destinationVS2017Page=%UserProfile%\Documents\Visual Studio 2017\Templates\ItemTemplates"
set "destinationVS2017Proj=%UserProfile%\Documents\Visual Studio 2017\Templates\ProjectTemplates"

REM フォルダが存在しない場合は作成する
if not exist "%destinationVS2017Page%" (
    mkdir "%destinationVS2017Page%"
)
if not exist "%destinationVS2017Proj%" (
    mkdir "%destinationVS2017Proj%"
)

REM ファイルコピー
copy "%sourceFilePage%" "%destinationVS2017Page%\"
copy "%sourceFileProj%" "%destinationVS2017Proj%\"



REM VisualStudio2019用
set "destinationVS2019Page=%UserProfile%\Documents\Visual Studio 2019\Templates\ItemTemplates"
set "destinationVS2019Proj=%UserProfile%\Documents\Visual Studio 2019\Templates\ProjectTemplates"

REM フォルダが存在しない場合は作成する
if not exist "%destinationVS2019Page%" (
    mkdir "%destinationVS2019Page%"
)
if not exist "%destinationVS2019Proj%" (
    mkdir "%destinationVS2019Proj%"
)

REM ファイルコピー
copy "%sourceFilePage%" "%destinationVS2019Page%\"
copy "%sourceFileProj%" "%destinationVS2019Proj%\"



REM VisualStudio2022用
set "destinationVS2022Page=%UserProfile%\Documents\Visual Studio 2022\Templates\ItemTemplates"
set "destinationVS2022Proj=%UserProfile%\Documents\Visual Studio 2022\Templates\ProjectTemplates"

REM フォルダが存在しない場合は作成する
if not exist "%destinationVS2022Page%" (
    mkdir "%destinationVS2022Page%"
)
if not exist "%destinationVS2022Proj%" (
    mkdir "%destinationVS2022Proj%"
)

REM ファイルコピー
copy "%sourceFilePage%" "%destinationVS2022Page%\"
copy "%sourceFileProj%" "%destinationVS2022Proj%\"


pause