
#region Locator

//------------------------------------------------------------------------------
//     ̃t@Cւ̕ύX͕sȓ̌ƂȂ܂B
//
//------------------------------------------------------------------------------

namespace AI_HMI_CTRL.ViewModel
{
    public class ViewModelLocator
    {
        private static ResourceModel _resourceModel;
     
        public static ResourceModel ResourceModelStatic
        {
            get
            {
                if (_resourceModel == null)
                {
                    CreateResourceModel();
                }

                return _resourceModel;
            }
        }

        public ResourceModel ResourceModel 
        { 
            get 
            { 
                return ResourceModelStatic; 
            } 
        }

        public static void CreateResourceModel()
        {
            if (_resourceModel == null)
            {
                _resourceModel = new ResourceModel();
            }
        }

    }
}

#endregion